#
# Example 14-1
# Random number generator using namespaces.
#

namespace Random {
	# Create a variable inside the namespace
	variable seed [clock seconds]

	# Make the procedures visible to namespace import
	namespace export Init Random Range

	# Create procedures inside the namespace
	proc Init { value } {
		variable seed
		set seed $value
	}
	proc Random {} {
		variable seed
		set seed [expr ($seed*9301 + 49297) % 233280]
		return [expr $seed/double(233280)]
	}
	proc Range { range } {
		expr int([Random]*$range)	
	}
}


